#!/bin/sh
#
# classes/
# libs/
# resources/documentRoot
# resources/*.json

CLASSPATH_SEP=":"
DIRNAME=`dirname $0`

uname |grep 'CYGWIN' > /dev/null

if [ "$?" == "0" ]
then
  DIRNAME=`cygpath -w ${DIRNAME}`
  CLASSPATH_SEP=";"
fi

CLASSPATH="${DIRNAME}/classes${CLASSPATH_SEP}${DIRNAME}/resources"

for fileName in `ls -1 ${DIRNAME}/libs`
do
  CLASSPATH="${CLASSPATH}${CLASSPATH_SEP}${DIRNAME}/libs/${fileName}"
done

java -Dfile.encoding=UTF-8 -classpath "${CLASSPATH}" com.blogger.tcuri.appserver.AppServer


